# Class CIM_DMA
extends CIM_SystemResource

Personal computer architecture DMA.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_SystemResource
|
+--CIM_DMA

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | Personal computer architecture DMA.
UMLPackagePath | string | CIM::System::SystemResources
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
AddressSize | uint16 |
Description | string | An integer indicating the DMA Channel address size in bits. Permissible values are 8, 16, 32 or 64 bits. If unknown, enter 0.
MappingStrings | string | MIF.DMTF|System Resource DMA Info|001.3
PUnit | string | bit
Units | string | Bits
ValueMap | string | 0, 8, 16, 32, 64
Availability | uint16 |
Description | string | Availability of the DMA.
MappingStrings | string | MIF.DMTF|DMA|001.2
ValueMap | string | 1, 2, 3, 4, 5
Values | string | Other, Unknown, Available, In Use/Not Available, In Use and Available/Shareable
BurstMode | boolean |
Description | string | Indication that the DMA Channel supports burst mode.
MappingStrings | string | MIF.DMTF|DMA|001.3
ByteMode | uint16 |
Description | string | Indicates whether DMA may execute in 'count by byte' mode (value=4) or not (value=3). Also, "Other" (1) and "Unknown" (2) may be defined.
MappingStrings | string | MIF.DMTF|System Resource DMA Info|001.7
ValueMap | string | 1, 2, 3, 4
Values | string | Other, Unknown, Not execute in 'count by byte' mode, Execute in 'count by byte' mode
ChannelTiming | uint16 |
Description | string | DMA channel timing. For example, "Type A" (value =4) or "Type F" (6) could be specified.
MappingStrings | string | MIF.DMTF|System Resource DMA Info|001.9
ValueMap | string | 1, 2, 3, 4, 5, 6
Values | string | Other, Unknown, ISA Compatible, Type A, Type B, Type F
CreationClassName | string |
Description | string | CreationClassName indicates the name of the class or the subclass used in the creation of an instance. When used with the other key properties of this class, this property allows all instances of this class and its subclasses to be uniquely identified.
Key | boolean | true
MaxLen | uint32 | 256
CSCreationClassName | string |
Description | string | The scoping ComputerSystem's CreationClassName.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_ComputerSystem.CreationClassName
CSName | string |
Description | string | The scoping ComputerSystem's Name.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_ComputerSystem.Name
DMAChannel | uint32 |
Description | string | A part of the object's key value, the DMA Channel number.
Key | boolean | true
MappingStrings | string | MIF.DMTF|DMA|001.1
MaxTransferSize | uint32 |
Description | string | The maximum number of bytes that can be transferred by this DMA Channel. If unknown, enter 0.
MappingStrings | string | MIF.DMTF|System Resource DMA Info|001.4
PUnit | string | byte
Units | string | Bytes
TypeCTiming | uint16 |
Description | string | Indicates whether C type (burst) timing is supported (value=5) or not (value=4). Also, "Other" (1), "Unknown" (2) and "ISA Compatible" (3) are defined.
MappingStrings | string | MIF.DMTF|System Resource DMA Info|001.10
ValueMap | string | 1, 2, 3, 4, 5
Values | string | Other, Unknown, ISA Compatible, Not Supported, Supported
WordMode | uint16 |
Description | string | Indicates whether DMA may execute in 'count by word' mode (value=4) or not (value=3). Also, "Other" (1) and "Unknown" (2) may be defined.
MappingStrings | string | MIF.DMTF|System Resource DMA Info|001.8
ValueMap | string | 1, 2, 3, 4
Values | string | Other, Unknown, Not execute in 'count by word' mode, Execute in 'count by word' mode
TransferWidths | uint16[] |
Description | string | An array indicating all the transfer widths (in bits) supported by this DMA Channel. Permissible values are 8, 16, 32, 64 or 128 bits. If unknown, enter 0.
MappingStrings | string | MIF.DMTF|System Resource DMA Info|001.2
PUnit | string | bit
Units | string | Bits
ValueMap | string | 0, 8, 16, 32, 64, 128

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
HealthState | uint16 | CIM_ManagedSystemElement
ImplementationInfo | uint16 | CIM_SystemResource
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_ManagedSystemElement
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
Shareable | boolean | CIM_SystemResource
Status | string | CIM_ManagedSystemElement
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement